<?xml version="1.0" encoding="utf-8"?>
<LinearLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_alignParentTop="true"
            android:text="@string/bluetooth"/>

        <ToggleButton
            android:id="@+id/bluetooth_toggle_button"
            android:layout_width="200dp"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_alignParentTop="true"
            android:textOn="@string/on"
            android:textOff="@string/off"/>

    </RelativeLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <TextView
            android:id="@+id/bluetooth_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentTop="true"
            android:layout_alignParentLeft="true"/>

        <Button
            android:id="@+id/bluetooth_discoverable_button"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_alignParentTop="true"
            android:text="@string/make_discoverable"/>

    </RelativeLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <CheckBox
            android:id="@+id/bluetooth_remote_checkbox"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="@string/remote_connection"/>

        <Button
            android:id="@+id/bluetooth_search_button"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/search_for_devices"/>

        <ListView
            android:id="@+id/bluetooth_devices_list"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"/>

    </LinearLayout>
</LinearLayout>